#ifndef F_CPU
#define F_CPU 3686400
#endif

#define LCD_DISP_OFF             0x08   /* display off                            */
#define LCD_DISP_ON              0x0C   /* display on, cursor off                 */
#define LCD_DISP_ON_BLINK        0x0D   /* display on, cursor off, blink char     */
#define LCD_DISP_ON_CURSOR       0x0E   /* display on, cursor on                  */
#define LCD_DISP_ON_CURSOR_BLINK 0x0F   /* display on, cursor on, blink char      */
#define LCD_DISP_CLEAR           0x01   /* loescht die anzeige im lcd             */

#define LCD_MOVE_CURSOR_HOME     0x02   /* move cursor 1,1                        */
#define LCD_MOVE_CURSOR_LEFT     0x10   /* move cursor left  (decrement)          */
#define LCD_MOVE_CURSOR_RIGHT    0x14   /* move cursor right (increment)          */
#define LCD_MOVE_DISP_LEFT       0x18   /* shift display left                     */
#define LCD_MOVE_DISP_RIGHT      0x1C   /* shift display right                    */

void wait_ms(int ms);
void lcd_send(char data);
void lcd_cmd(char cmd);
void lcd_write(char c);
void lcd_write_s(char* buf);
void lcd_home(void);
void lcd_clear(void);
void lcd_on(void);
void lcd_off(void);
void lcd_off(void);
void lcd_goto(int row, int col);
void lcd_init(void);
void lcd_charDef(void);
void lcd_write_num_l(int numb);